#ifndef __LC202API_H
#define __LC202API_H

// ᠭ 㭪権 API   LC202


enum {ADSP2184, ADSP2185, ADSP2186};

#define         MAX_CHANNEL_QUANTITY            4

// ᠭ ६, ࠭    DSP
#define         L202_BUFFER                                                0x2000
#define         L202_SCALE                                                 0x3C80
#define         L202_ZERO_FLT                                              0x3CC0
#define         L202_ZERO                                                  0x3D00
#define         L202_KADR                                                  0x3D40
#define         L202_DSP_TYPE                                              0x3D48
#define         L202_COMMAND                                               0x3D49
#define         L202_FLASH_ADDRESS                         0x3D4A
#define         L202_FLASH_BYTE                                    0x3D4B
#define         L202_FLAG_OUT                                              0x3D4C
#define         L202_FLAG_IN                                               0x3D4D
#define         L202_OVERFLOW                                              0x3D4E
#define         L202_ENABLE_IRQ                                    0x3D4F
#define         L202_FIFO_PTR                                              0x3D50
#define         L202_CHANNEL_MASK                                  0x3D51
#define         L202_TEST_LOAD                                             0x3D52
#define         L202_RATE                                                  0x3D53
#define         L202_RATE_SCALE                                    0x3D54
#define         L202_GAIN_CHANNEL                                  0x3D55
#define         L202_GAIN                                                  0x3D56
#define         L202_IRQ_STEP                                              0x3D57
#define         L202_N_BIT                                                 0x3D58
#define         L202_FIFO_N_LOW                                    0x3D59
#define         L202_FIFO_N_HIGH                                   0x3D5A
#define         L202_IRQ0_LOW                                              0x3D5B
#define         L202_IRQ0_HIGH                                             0x3D5C
#define         L202_SYNCHRO_TYPE                                  0x3D5D
#define         L202_SYNCHRO_AD_CHANNEL                    0x3D5E
#define         L202_SYNCHRO_AD_POROG                      0x3D5F
#define         L202_SYNCHRO_AD_MODE                       0x3D60
#define         L202_SYNCHRO_AD_SENSITIVITY   0X3D61
#define         L202_SYNCHRO_AD_BUFFER                     0x3D62
#define         L202_CORRECTION_ENABLE                     0x3D63
#define         L202_ATTENUATION                                   0x3D64
#define         L202_CONST_LEVEL                                   0x3D65
#define         L202_FREQDIV_256OR384                      0x3D66
#define         L202_INPUT_MODE                                    0x3D67
#define         L202_READY                                                 0x3D68
#define         L202_TMODE1                                                        0x3D69
#define         L202_TMODE2                                                        0x3D6A
#define         L202_FIFO_BASE_ADDRESS                     0x3D6B
#define         L202_FIFO_BASE_ADDRESS_INDEX       0x3D6C
#define         L202_FIFO_LENGTH                                   0x3D6D
#define         L202_FIFO_NEW_LENGTH                               0x3D6E

// ᠭ ஢ 
#define         C202_TEST                                                  0
#define         C202_FLASH_WRITE                                   1
#define         C202_FLASH_READ                                    2
#define         C202_SET_CONSTLEVEL                                3
#define         C202_SET_INPUT_MODE                                4
#define         C202_SET_ATTENUATION                               5
#define         C202_SET_GAIN                                              6
#define         C202_SET_RATE                                              7
#define         C202_RESTART                                               7
#define         C202_SET_FO                                                        8
#define         C202_GET_FI                                                        9
#define         C202_FIFO_CONFIG                                   10
#define         C202_SYNCHRO_CONFIG                                11

#endif
