//---------------------------------------------------------------------------------------------
// Include-  DLL- lcard_ad.dll
//        LTC
// (C)opyright AO L-Card 1995, 96
//---------------------------------------------------------------------------------------------
#ifndef __LC_CRAIT_H
#define __LC_CRAIT_H

#ifdef __cplusplus
extern "C" {
#endif

int            _EXPORT GET_STATUS();

void           _EXPORT CONFIG_TX_CHANNEL_LCI01(int Channel);
void           _EXPORT CONFIG_RX_CHANNEL_LCI01(int Channel);
//void           _EXPORT RESERVED6(int p);
void           _EXPORT INITIALIZE_CORRECTION_PC(WORD CalibrMode);
//int            _EXPORT RESERVED1(WORD* p);
void           _EXPORT INIT_CORRECTION_LC302(WORD Type_);
//void           _EXPORT RESERVED3(int p);
void           _EXPORT SET_FAST_PARAMS_CC(short Slot301, short DACDelayValue, short NChannel);

/* Aec */
//void           _EXPORT RESERVED5(int p);
void           _EXPORT CONFIGURE_FAST_READ_CC(short Nch, WORD* FastLogChanBuff);
//int            _EXPORT LOAD_BIOS_LC014(char* BiosCode);

void           _EXPORT EXECUTE_COMMAND_CC(int Code, int NWordsOut, WORD* WordsOut, int NWordsIn, WORD* WordsIn);
int            _EXPORT PLATA_TEST_CC();
int            _EXPORT MEMORY_STATE_CC();
int            _EXPORT MEMORY_PM_STATE_CC();

void           _EXPORT SET_CALIBR_MODE_CC(int CalibrMode);
void           _EXPORT READ_CALIBR_CC();

void           _EXPORT SET_IRQ_INFOM_CC(int NumCraitSlots, WORD* InfArr);
void           _EXPORT SET_LC227DATA_IRQSET_CC();
void           _EXPORT GET_IRQ1DATA_CC(int Slot, int NWords, WORD* DatArr);
WORD           _EXPORT GET_LC227CHMASK(int Slot, int ShiftVal);

void           _EXPORT OUTDA_LC301(int Slot, int Code1, int Code2);

WORD           _EXPORT SAMPLE_LC301(int Slot_301, int SourceSlot, int LogChannel);
WORD           _EXPORT SAMPLE_LC111(int Slot_111, int LogChannel);

void           _EXPORT SET_FIFO_SIZE_CC(int FifoSize);
void           _EXPORT CONFIG_FIFO_CC(int FirstFifoPage, int LastFifoPage);
void           _EXPORT SOFT_CONFIG_CC(int Slot_301, int NChannel, WORD* Channels, int Rate);
void           _EXPORT SOFT_START_CC();
void           _EXPORT SOFT_STOP_CC();
int            _EXPORT GET_NWORDS_CC(unsigned long* NWords);
void           _EXPORT GET_SOFT_DATA_CC(WORD* Datad, unsigned long NWords);
void           _EXPORT WAIT_SOFT_DATA_CC(WORD* Datad, unsigned long NWords);
void           _EXPORT SOFT_CC(int Slot_301, int NChannel, WORD* Channels, unsigned long NKadr, int Rate, WORD* Datad);


/* p   pp */
#ifndef WIN32
void           _EXPORT FAST_SOFT_IRQ_START_CC(INT_HANDLER Vector);
#else
HANDLE         _EXPORT FAST_SOFT_IRQ_START_CC(INT_HANDLER Vector);
#endif
void           _EXPORT GET_FAST_SOFT_DATA(WORD* Datad, int NWords);

/* p   pp */
void           _EXPORT FAST_SOFT_START_CC();
void           _EXPORT GET_FAST_SOFT_IRQ_DATA(WORD* Datad, int NWords);
void           _EXPORT FAST_SOFT_IRQ_STOP_CC();

/* Fun */
int            _EXPORT GET_CTRL_LC301(int Slot);
void           _EXPORT SET_CTRL_LC301(int Slot, int CtrlWord);

/*   p  AD7710                                     */
void           _EXPORT READ_REG_7710(int Chan, int A0, int* Datad);
void           _EXPORT WRITE_REG_7710(int Chan, int A0, int* Datad);

void           _EXPORT READ_REG_7710_CRAIT(int Slot, int A0, WORD* Datad);
void           _EXPORT WRITE_REG_7710_CRAIT(int Slot, int A0, WORD* Datad);

/*   pp  p p LC351               */
int            _EXPORT LOAD_BIOS_LC351(int Slot, WORD* BiosCode);
int            _EXPORT MEMORY_STATE_LC351(int Slot);
void           _EXPORT SET_CTRL_LC351(int Slot, int AttenMode, int CommutMode);

void           _EXPORT OUTDA_LC351(int Slot, int Coded);
void           _EXPORT LOAD_DATA_LC351(int Slot, int Page, int NWords, WORD* Datad);
void           _EXPORT START_OUT_LC351(int Slot, long NWords, int Delay);

///   int    _EXPORT LOAD_BIOS_LC451(int Slot, WORD* LCBios);
///   void   _EXPORT CONFIG_LC451(int Slot, int Mode, int Scale);
///   WORD   _EXPORT STATUS_LC451(int Slot);
///   void   _EXPORT GET_SAMPLE_LC451(int Slot, int Chan, WORD* Dest);
///   void   _EXPORT GET_KADR_LC451(int Slot, int Mask, WORD* NWords, WORD* DestInt);
///   void   _EXPORT SET_THRESHOLD_LC451(int Slot, int Chan, int xType, int Val);

/*   p    p               */
/* LC402 ( TTL)  LC401 ( TTL)                                 */
WORD           _EXPORT INP_DIGITS_401(int Slot);
void           _EXPORT ENABLE_IRQ_401(int Slot, int Enable);
void           _EXPORT OUT_DIGITS_402(int Slot, WORD Data);
void           _EXPORT ENABLE_IRQ_402(int Slot, int Enable);

void           _EXPORT OUT_DIGITS_403(int Slot, DWORD Data);
DWORD          _EXPORT INP_DIGITS_403(int Slot);
void           _EXPORT ENABLE_IRQ_403(int Slot, int Enable);
void           _EXPORT ENABLE_OUT_403(int Slot, int EnableMask);
int            _EXPORT READ_IO_403(int Slot);
void           _EXPORT RESET_ANSW_403(int Slot);

/* LC201, LC210 - p -  */
void           _EXPORT PROGRAM_FILTER_LC201(int Slot, long Freq);
void           _EXPORT PROGRAM_USIL_LC201(int Slot, int Channel, int Kusil);
void           _EXPORT PROGRAM_FILTER_LC210(int Slot, long Freq);
void           _EXPORT PROGRAM_USIL_LC210(int Slot, int Channel, int Kusil);

///   void   _EXPORT OUTDA_AD8842(int Slot, int Channel, int Datad);


/*   p EEPROM, p                */
unsigned       _EXPORT READ_FLASH_CC(unsigned Slot, unsigned Addr);
void           _EXPORT WRITE_FLASH_CC(int Slot, int Addr, int Data);
void           _EXPORT WRITE_EN_DS_CC(int Slot, int Enable);

/*   p pp p-pp                    */
void           _EXPORT PUT_REMOTE_WORD_CC(int Addr, WORD Data);
WORD           _EXPORT GET_REMOTE_WORD_CC(int Addr);
void           _EXPORT PUT_REMOTE_ARRAY_CC(int aPage, int Addr, int NWords, WORD* Datad);
void           _EXPORT GET_REMOTE_ARRAY_CC(int aPage, int Addr, int NWords, WORD* Datad);

/* pp                                                           */
void           _EXPORT SET_IRQ_MASK_CC(int IrqMask);
void           _EXPORT GET_MODULE_IRQ(int* IrqCount, int* IrqMarkers);

void           _EXPORT LOW_POWER_CC(int IsLowPower);
void           _EXPORT OUTDA_LC302(int Slot, int Channel, int Datad);
void           _EXPORT KADR_LC302(int Slot, int* ChanAndData, int NChannel);
void           _EXPORT SET_CTRL_LC302(int Slot, int CtrlWord);


/*    p LC201, LC210 */
/* p   p p   */
void           _EXPORT PROGRAM_AD8402(int Slot, int ChanExt, int ChanInt, int Data);
void           _EXPORT PROGRAM_MAX(int Slot, int ChanExt, long Data);
void           _EXPORT OUTDA_AD8842(int Slot, int ChanInt, int Datad);


/*   8- p LC451  */
int            _EXPORT LOAD_BIOS_LC451(int Slot, WORD* BiosCode);
void           _EXPORT CONFIG_LC451(int Slot, int Mode, int Scale);
WORD           _EXPORT STATUS_LC451(int Slot);
void           _EXPORT GET_SAMPLE_LC451(int Slot, int Chan, WORD* Dest);
void           _EXPORT GET_KADR_LC451(int Slot, int Mask, WORD* NWords, WORD* DestInt);
void           _EXPORT SET_THRESHOLD_LC451(int Slot, int Chan, int Typ_, int Val);


/*                                                */
void           _EXPORT FORCE_INTER_DELAY_CC(int InterDelay);

///   void   _EXPORT INTR_SETUP(int irq_number);
///   void   _EXPORT RESET_IRQ();
///   void   _EXPORT STOP_INTR();
void           _EXPORT CONNECT_LC501(int Slot, DWORD Connection);

void           _EXPORT SET_CRAIT_ADDRESS(int aBase);


int            _EXPORT LOAD_BIOS_LC227(int Slot, WORD* BiosCode);
void           _EXPORT CONFIG_LC227(int Slot, int Mode, int Scale);
WORD           _EXPORT STATUS_LC227(int Slot);
void           _EXPORT GET_SAMPLE_LC227(int Slot, int Chan, WORD* Dest);
void           _EXPORT GET_KADR_LC227(int Slot, int Mask, WORD* NWords, WORD* DestInt);

void           _EXPORT CALIBR_LC201_STEP1(int Slot201, int Slot301);
int            _EXPORT SET_DFLTCALIBRSET_LC201(long xFltFreq, int xForceIntDel, int xnGains, char* xckdFile, WORD* Ku, int xTimeDAC, int xNPoint);
int            _EXPORT GET_DFLTCALIBRSET_LC201(DWORD* xFltFreq, WORD* xForceIntDel, WORD* xnGains, char* xckdFile, WORD* Ku, WORD* xTimeDAC, WORD* xNPoint);
void           _EXPORT SETU_LC301(int Slot_301, double U);
int            _EXPORT CALIBRLC201_STEP1_BEG(int aSlot_201, int aSlot_301);
int            _EXPORT CALIBRLC201_STEP1_CYCLE(int aChannel, int aGain, double* Value);
int            _EXPORT CALIBRLC201_STEP1_FIN(char* NameOfClbFile);

int            _EXPORT CALIBRLC201_STEP2_BEG(int aSlot_201, int aSlot_301);
int            _EXPORT CALIBRLC201_STEP2_CYCLE_GAIN(int aGain, char* NameClbFile);
int            _EXPORT CALIBRLC201_STEP2_CYCLE_CHANV0(int aChannel, double* ValueExpected, double* ValueMeasured);
int            _EXPORT CALIBRLC201_STEP2_CYCLE_CHANV5(int aChannel, double* ValueExpected, double* ValueMeasured);
int            _EXPORT CALIBRLC201_STEP2_CYCLE_CHANZG(int aChannel, double* Values, double* OffsetValue, double* GainValue);
int            _EXPORT CALIBRLC201_STEP2_FIN(char* FileName);
int            _EXPORT CALIBR_LC201_STEP2(int Slot201, int Slot301);

void           _EXPORT SET_TRIM_DAC_LC201_FILE(int Slot_201, int Chan, int Gain, char* NameClbFile);

void           _EXPORT SET_CHANNEL_7710_CRAIT(int Slot_301, int ExtChan);
int            _EXPORT IS_7710_PRESENT_CRAIT(int Slot_301);
int            _EXPORT IS_7710_READY_CRAIT(int Slot_301);
void           _EXPORT RESET_FILTER_7710_CRAIT();
void           _EXPORT SELF_CALIBR_7710_CRAIT(int Slot_301, int Gain);
long           _EXPORT FINISH_READ_CODE_7710_CRAIT(int Slot_301);
int            _EXPORT CHECK_OVERFLOW_7710_CRAIT();
double         _EXPORT FINISH_READ_7710_CRAIT(int Slot_301);
long           _EXPORT READ_CODE_7710_CRAIT(int Slot_301);
double         _EXPORT READ_7710_CRAIT(int Slot_301);
void           _EXPORT ENABLE_7710_CRAIT(int Slot, int Mode);
int            _EXPORT CREATE_CHANNEL_LC201(int Channel, int Gain, int UvxOpened, int ConnectDAC);

void           _EXPORT KADR_LC227(int Slot, int Scale, int Mask, double* Dest);
void           _EXPORT SET_CALIBRATION_LC227_ALL();
int            _EXPORT SET_CALIBRATION_LC227(int Slot);

void           _EXPORT SET_LC201_CONNECTDAC_MODE(int aConnectDACMode);
int            _EXPORT GET_LC201_CONNECTDAC_MODE();
void           _EXPORT INIT_LC201_FROM_PPZU(int Slot_201, long Freq, int* GainsForChan, int InterDelayVal, int aPage1_Fifo, int aPage2_Fifo);
void           _EXPORT INIT_LC201_FROM_FILE(int Slot_201, char* FileName, int CalibrMode, long Freq, int* GainsForChan, int InterDelayVal, int aPage1_Fifo, int aPage2_Fifo);

void           _EXPORT KADR_LC451(int Slot, int Mode, int Scale, int Mask, double* Dest);
void           _EXPORT TRANSMIT_CALIBR_DATA201_TO_PPZU(int Slot, char* FileName, WORD* GainSet);
void           _EXPORT INIT_MODULE_LC201(int Slot, int CalibrMode, long Freq, int* CurrentModes, int InterDelayVal, int aPage1_Fifo, int aPage2_Fifo);

void           _EXPORT RESET_SYNMODE();
void           _EXPORT SET_SYNMODE_TTL(WORD SMode, WORD SynSlot, WORD SynChan, WORD Dir);
void           _EXPORT SET_SYNMODE_ADC(WORD Slot_301, WORD SourceSynSlot, WORD LogSynChan, WORD SynDir, WORD SynLevel);
void           _EXPORT START_SYNSOFT();
void           _EXPORT SYNSOFT_CC(WORD Slot_301, WORD NChannel, WORD* Channels, WORD NKadr, WORD Rate, WORD* Datad);

int            _EXPORT LOADBIOS_MODULE_CC(int xSlot, char* FileName, int ModuleType);


int            _EXPORT CREATE_CHANNEL_LC101(int Channel, int Gain, int Mode);
int            _EXPORT CREATE_CHANNEL_LC102(int Channel, int Gain, int Mode);
int            _EXPORT CREATE_CHANNEL_LC104(int Channel, int Gain, int Mode);
int            _EXPORT CREATE_CHANNEL_LC111(int Channel, int Gain, int Mode);
int            _EXPORT CREATE_CHANNEL_LC210(int Channel, int UvxOpened, int BaseChan);


WORD           _EXPORT CREATE_FAST_CHAN_CC(short ModuleType, short Slot, WORD LogChan);
WORD           _EXPORT CREATE_CONTROL_WORD_LC302(short Slot, short Channel, short Datad);

void           _EXPORT READ_FAST_KADR_CC(short Nch, short* Datad);
void           _EXPORT KADR_OUT_LC302_FAST_CC(short Slot302, short NChan, WORD* CtrlWrdBuff);

short          _EXPORT READ_FAST_SAMPLE_CC(WORD CtrlWrdFast);
void           _EXPORT OUT_LC302_FAST_CC(short Slot302, WORD Datad);
int            _EXPORT LOADCRAIT(int CraitType, int Adr);

WORD           _EXPORT AUTO_PREPARE_MODULE(short ModuleCode);
int            _EXPORT FAST_LOADING_LCI01(WORD* BiosCode);
int            _EXPORT FAST_LOADING_LC010(WORD* BiosCode);

// Additional functions for LC212 board
WORD           _EXPORT LOAD_LC212(WORD Slot, char* FileName);
void           _EXPORT STOP_LC212(WORD Slot);
void           _EXPORT SET_MODE_LC212(WORD Slot, WORD Mode, WORD HiRef, WORD FreqCode, WORD AC);
void           _EXPORT CREATE_CHANNEL_LC212(WORD Slot, WORD Chan, WORD Diapazon);
void           _EXPORT START_LC212(WORD Slot, WORD Mask, WORD IsUseFlash);
void           _EXPORT SET_FIFO_SIZE_LC212(WORD xSlot, WORD xLen);
WORD           _EXPORT GET_LC212_DATA(WORD xSlot, WORD NPoints, WORD* xData);
WORD           _EXPORT CALIBR_LC212(WORD xSlot, WORD xType, WORD IsUseFlash);
void           _EXPORT RESTORE_LC212(WORD xSlot);
void           _EXPORT RESET_LC212_AD7730(WORD xSlot);
void           _EXPORT LC212_COLD_REBOOT(WORD xSlot);

void           _EXPORT RESET_DIGITAL_FILTERS_LC212(WORD xSlot);
void           _EXPORT MANAGE_FILTERS_LC212(WORD xSlot, WORD xIirOn, WORD xFirOn);
void           _EXPORT GET_FILTERS_INFO_LC212(WORD xSlot, WORD* xIirOn, WORD* xFirOn, WORD* xDec, WORD* xloadIir, WORD* xloadFir, WORD* xtaps);
void           _EXPORT RESET_POINTER_LC212(WORD xSlot);
WORD           _EXPORT LOAD_FILTER_LC212(WORD xSlot, WORD FilterType, char* FilterFileName);
void           _EXPORT STOP_LC212_FOR_CALIBR(WORD xSlot, WORD StopCalibrType);

// for work with IDMA added with LC211 board
void           _EXPORT IDMA_FORCE_IRQ2 (WORD xSlot);
void           _EXPORT IDMA_FORCE_RESET (WORD Slot);
WORD           _EXPORT IDMA_GET_DM_WORD(WORD Slot, WORD Addr);
void           _EXPORT IDMA_PUT_DM_WORD(WORD Slot, WORD Addr, WORD xData);
void           _EXPORT IDMA_GET_DM_ARRAY(WORD Slot, WORD Addr, WORD NPoint, WORD* xBuffer);
void           _EXPORT IDMA_PUT_DM_ARRAY(WORD Slot, WORD Addr, WORD NPoint, WORD* xBuffer);

void           _EXPORT CONFIGURE_FAST_KADR_CC(short Nch, WORD* Buffer, WORD ModuleType);
void           _EXPORT READ_FAST_KADR111_CC(WORD NCH111, short* Buffer);

// for work with LC352 module
void           _EXPORT OUTDA_LC352(WORD slot, WORD Coded, WORD Atten, WORD SwType);
void           _EXPORT OUTDA_LC352_VOLT(WORD slot, double Volts, WORD Atten, WORD SwType);
WORD           _EXPORT PROGRAM_LC352(WORD Slot, double Ampl, WORD ModeConnect, double* Freq, WORD Sigtype, WORD* Atten, WORD a, WORD b);
void           _EXPORT SETU_LC352(double U);

WORD           _EXPORT LOAD_BIOS_LC114(WORD Slot, char* NameBIOS);
void           _EXPORT SEND_COMMAND_LC114(WORD Slot, WORD Command, WORD Wait);
WORD           _EXPORT GET_LC114_DATA_FOR_CHANNEL(WORD Slot, WORD FifoLength, WORD Lc114Nch, WORD N, WORD* BufferLc114, WORD Lc114Channel, WORD CodacBit);
double         _EXPORT GET_LC114_MODULE_TEMP(WORD Slot);
double         _EXPORT GET_LC114_DS1820_TEMP(WORD Slot);
void           _EXPORT SET_LC114_CONTROL_WORDS(WORD Slot, WORD Lc114AutoCalibrType, WORD Lc114CommutatorType, WORD* pLc114Range, WORD WaitNewSamples);
WORD           _EXPORT SET_LC114_FILTER(WORD Slot, char* FileName, char* NormalizatorName, WORD WaitNewSaples);
void           _EXPORT SET_LC114_DECIMATION(WORD Slot, WORD Decimate, WORD WaitNewSamples);
void           _EXPORT SET_LC114_FIFO(WORD Slot, WORD MaskForChannels, WORD FifoLength, WORD WaitNewSaples);
WORD           _EXPORT SET_LC114_CALIBR(WORD Slot, WORD WaitNewSamples);
void           _EXPORT SET_LC114_PROGRAM_VERSION(WORD Slot, WORD Version, WORD WaitNewSamples);
void           _EXPORT SHOW_SELF_SLAVE_FOR_LC114_UNIT2(WORD Slot, WORD SlotLC114_1, WORD SlotLC114_2);
void           _EXPORT START_MASTER_LC114(WORD Slot, WORD SlotLC114_1, WORD SlotLC114_2, WORD WaitNewSamples);
WORD           _EXPORT READY_LC114_SAMPLES(WORD Slot, WORD SlotLC114_1, WORD SlotLC114_2);

WORD           _EXPORT LOAD_BIOS_LC202(WORD Slot, char* NameBIOS);
WORD           _EXPORT SEND_COMMAND_LC202(WORD Slot, WORD Command);
WORD           _EXPORT FLASH_WRITE_LC202(WORD Slot, WORD FAddress, WORD FByte);
WORD           _EXPORT FLASH_READ_LC202(WORD Slot, WORD FAddress, WORD* FByte);
WORD           _EXPORT SET_POSTOYANKA_LC202(WORD Slot, WORD ConstLevel);
WORD           _EXPORT SET_INPUT_MODE_LC202(WORD Slot, WORD InputMode);
WORD           _EXPORT SET_ATTENUATION_LC202(WORD Slot, WORD Attenuation);
WORD           _EXPORT SET_GAIN_LC202(WORD Slot, WORD Gain, WORD Channel);
WORD           _EXPORT SET_RATE_LC202(WORD Slot, WORD Rate, WORD FreqDiv_256or384);
WORD           _EXPORT SET_FO_LC202(WORD Slot, WORD FO);
WORD           _EXPORT GET_FI_LC202(WORD Slot, WORD* FI);
WORD           _EXPORT CHECK_OVERFLOW_LC202(WORD Slot, WORD Channel);
WORD           _EXPORT LOAD_COEF_LC202(WORD Slot);
WORD           _EXPORT GET_DATA_LC202(WORD Slot, WORD N_Points, WORD* Buffer);
WORD           _EXPORT FIFO_CONFIG_LC202(WORD Slot, WORD AddressIndex, WORD Length);
WORD           _EXPORT SYNCHRO_CONFIG_LC202(WORD Slot, WORD SynType, WORD SynSens, WORD SynBuf, WORD SynMode, WORD AdCh, WORD AdP);
WORD           _EXPORT SET_DSP_TYPE_LC202(WORD Slot, WORD DSP_Type);

WORD           _EXPORT TEST_CIRCUIT_LC212(WORD xSlot, WORD* States);

WORD           _EXPORT XIDMA_GET_DM_WORD(WORD Slot, WORD Addr);
void           _EXPORT XIDMA_PUT_DM_WORD(WORD Slot, WORD Addr, WORD xData);
void           _EXPORT XIDMA_GET_DM_ARRAY(WORD Slot, WORD Addr, WORD NPoint, WORD* xBuffer);
void           _EXPORT XIDMA_PUT_DM_ARRAY(WORD Slot, WORD Addr, WORD NPoint, WORD* xBuffer);




void           _EXPORT SET_ENA_FLAG_LC212(WORD xSlot, WORD EnaFlag);
void           _EXPORT IDMA301_CONFIG_CC(WORD Slot_301, WORD NChannel, WORD* Channels, WORD Rate, WORD xFifoSize, WORD* NModulesIdma, WORD* TableEnaAddr, WORD* TableMainIDMA);

#ifndef WIN32
void           _EXPORT IDMA301_IRQ_START_CC(INT_HANDLER Vector);
#else
HANDLE         _EXPORT IDMA301_IRQ_START_CC(INT_HANDLER Vector);
#endif

void           _EXPORT IDMA301_IRQ_STOP_CC();
void           _EXPORT IDMA301_IRQ_INPUT_CC(WORD* xPointers, WORD* xFlags);
void           _EXPORT IDMA301_PREPARE_LC212(WORD xSlot, WORD* TableEnaAdr, WORD* TableMain);

void           _EXPORT IDMA301_START_CC();
void           _EXPORT IDMA301_STOP_CC();
void           _EXPORT IDMA301_INPUT_CC(WORD* Datad, WORD* IDs);


void           _EXPORT SET_LPT_DELAY_CC(WORD DelayVal);
WORD           _EXPORT GET_LPT_DELAY_CC();

void           _EXPORT IDMA301_PREPARE_LC202(WORD xSlot, WORD* TableEnaAdr, WORD* TableMain);

void           _EXPORT CONFIG_LC302_ON_FLY(WORD xNwrd, short* xData);

// for IDE crait
int            _EXPORT LOAD_BIOS_LCIDE(char* FileName);
void           _EXPORT SET_BASE_ADDRESS_IDE(int BaseAddrData, int BaseAddrCtrl);
void           _EXPORT SET_DELAY_IDE(int DelayValue);


// New Functions
#ifdef WIN32
HANDLE         _EXPORT START_INP111_OUT302(INT_HANDLER Vector);
#else
void           _EXPORT START_INP111_OUT302(INT_HANDLER Vector);
#endif
void           _EXPORT STOP_INP111_OUT302();
void           _EXPORT MAIN_INP111_OUT302(WORD* Datad, WORD NWords, WORD* Data302, WORD N302);

void           _EXPORT WRITE_LC116_CALIBR(int Slot, int* Data);//    *Data ==   int (*PCalibrData)[MAX_RANGE_LC116][MAX_CHANNEL_LC116];
int            _EXPORT READ_LC116_CALIBR(int Slot, int* Data);
int            _EXPORT SET_LC116_CURRENT(int Slot, int Scale, int Channel);
void           _EXPORT HANDL_SET_LC116_CURRENT(int Slot, int Scale, int Channel, int CalibrData);
WORD           _EXPORT GET_LC114_DATA_FOR_CHANNELS(WORD Slot, WORD FifoLength, WORD Lc114Nch, WORD N, WORD* BufferLc114, WORD CodacBit);


short          _EXPORT LC114_LOAD_BIOS(WORD Slot, char* Bios_Name);

short          _EXPORT LC114_START(short Slot);
short          _EXPORT LC114_STOP(short Slot);
short          _EXPORT LC114_GET_ADC_TYPE(short Slot);
void           _EXPORT LC114_SET_BOARD_MODE(short Slot, short Mode);
void           _EXPORT LC114_SET_CBAND16(short Slot, char* CBands);
void           _EXPORT LC114_SET_CBAND1(short Slot, char Nc, char CBand);
void           _EXPORT LC114_SET_CMASK(short Slot, WORD CMask);
void           _EXPORT LC114_SET_ZCALIBRATION(short Slot, char CalibrFlag);
void           _EXPORT LC114_SET_CALIBRATION_COEF(short Slot, double* CalibrCoef);
void           _EXPORT LC114_LOAD_CALIBRATION_COEF(short Slot);
short          _EXPORT LC114_WRITE_FLASH(short Slot, double* CalibrCoef);
void           _EXPORT LC114_GET_CDATA16(short Slot, short* CData);
short          _EXPORT LC114_GET_CDATA1(short Slot, short NC);
short          _EXPORT LC114_LOAD_FILTR(short Slot, char* Filtr_Name);
void           _EXPORT LC114_SET_FILTR(short Slot, char FiltrFlag);
void           _EXPORT LC114_SET_DECIMATION(short Slot, short Dec_K);
void           _EXPORT LC114_SET_FIFO(short Slot, short FIFO_Size);
short          _EXPORT LC114_CHECK_FIFO(short Slot);
void           _EXPORT LC114_GET_FIFO(short Slot, short* FIFO_Buf, short half);
short          _EXPORT LC114_GET_FIFO_POINTER(short Slot);
double         _EXPORT LC114_GET_DS1820(short Slot);
short          _EXPORT LC114_PUT_DQI_HIGH(short Slot);
short          _EXPORT LC114_PUT_DQI_LOW(short Slot);
WORD           _EXPORT LC114_CHECK_TC(short Slot);
short          _EXPORT LC114_GET_SYNC_STAT(short Slot);
short          _EXPORT LC114_GET_BOARD_MODE(short Slot);

DWORD          _EXPORT GET_SERR();
void           _EXPORT RST_SERR(DWORD Val);

void           _EXPORT SET_FATAL_ERROR();
WORD           _EXPORT GET_FATAL_ERROR();

void           _EXPORT OUTDA_AD8XXX(WORD Slot, WORD SerialPort, WORD Channel, WORD Datad);

void           _EXPORT SET_SCALE_AD8XXX(WORD Slot, WORD xScale);

void           _EXPORT FORCE_LOAD_PAGE(WORD LenData, WORD ShiftValue, WORD RegTmp);

void           _EXPORT LOAD_DATA_LC352_BY8192(WORD Slot, WORD DatSz, WORD ShiftVal, WORD* Datax);
WORD           _EXPORT USER_PROGRAM_LC352(WORD Slot, int Len, WORD* XData, WORD FreqDiv, WORD Atten);

WORD           _EXPORT USER_CHECK_TO();

short          _EXPORT LC237_LOAD_BIOS(int Slot, char* file_name);
short          _EXPORT LC237_GET_CC(int Slot, double* Sc, double* Zc, char* Types);

#ifdef __cplusplus
};
#endif
/* extern "C" */
#endif








